<template>
    <app-layout :bio-link-id="bioLinkId">
        <v-container>
            <v-section-title>
                <template #title>Visits</template>
                <template #description>
                    This chart shows how many times your page has been visited
                </template>
            </v-section-title>
            <PremiumFeatureOverlay :isDisabled="!permissions.use_metrics">
                <visits class="mt-5"/>
            </PremiumFeatureOverlay>
        </v-container>
    </app-layout>
</template>

<script>
import AppLayout from "@/Layouts/AppLayout";
import VContainer from "@/Components/Container";
import VSectionTitle from "@/Components/SectionTitle";
import Visits from "@/Pages/Metrics/Visits";
import PremiumFeatureOverlay from "@/Components/PremiumFeatureOverlay.vue";

export default {
    props: ["bioLinkId", "permissions"],
    components: {PremiumFeatureOverlay, Visits, VSectionTitle, VContainer, AppLayout},
    data() {
        return {};
    },
    methods: {},
};
</script>
